@import '../../../styles.scss';

.header {
    background: $transparent;
    color: $white;
    height: inherit;
    position: absolute;
    text-align: center;
    width: 100vw;
    z-index: 3;

    .content-div {
        position: relative;
        top: 10%;

        .content {
            font-size: 2.1em;
            font-weight: 500;
        }
    
        .sub-content {
            font-size: 1em;
            font-weight: 400;
        }
    }
}

.random-image {
    height: 98%;
    position: relative;

    img {
        width: 100vw;
    }
}

.image-container {
    height: 77vh;
    overflow-y: scroll;
    width: 100%;
}

.gallery-container {
    background: white;
    height: 90vh;
    margin: 0 auto;
    position: relative;
    width: 86vw;
}

.gallery-title {
    float: left;
    font-size: 1.2em;
    color: lighten($black, 10%);
}

.prev-next-buttons {
    float: right;
    @media only screen and (min-width: 1024px) {
        .link {
            display: block;
        }

        .m-link {
            display: none;
        }

        button {
            width: 5em;

            &.prev-button {
                margin: 0 10px;
            }
        }
    }

    @media only screen and (max-width: 1023px) {
        .link {
            display: none;
        }

        .m-link {
            display: block;
        }

        button {
            width: 1em;

            &.prev-button {
                margin: 0 5px;;
            }
        }
    }

    select {
        padding: 4px;
    }

    button {
        border: 0;
        color: white;
        cursor: pointer;
        font-size: 1em; 
        padding: 4px;
    }

    .prev-button {
        background: darken($color: $grey, $amount: 30%);

        &.btn--disabled { 
            cursor: not-allowed;
        }
    }

    .next-button {
        background: $blue;
    }
}
